# Virtual Surrounding Impression analysis

The tool for checking Virtual Surrounding Impression.  
  
It does the following two detections on the dataset:
- interviews that were _most likely_ taken at the same location by the same interviewer (read: faking at home)
- individual interviews that were _most likely_ conducted at multiple locations (multiple sittings or faking at multiple places)  
  
Please use the tool as an *additional* and not _sole_ indicator of undesired interviewer behaviour.  
  
Also, remember the tool is based on WIFI data.  
Cases, conducted while the WIFI is turned off (or no wifi access points are visible) *will have the same VSI* and will appear to be taken at the same location.

  
Support: myESS or [mailto: may.dousak@fdv.uni-lj.si]

## Changelog

*1.0 R 230117 - 17th Jan 2023*
- cleaned up the code
- created common files that can be shared with the other tools
- script now checks the data and reports on the errors before processing
- user friendly error messages and instructions provided when errors are detected


*1.0b - 16th Jan 2023*
R markdown version, knits PDF report

*0.1b - 13th Jan 2023*  

First working R version, translated from Python.  
No grouping per interviewer.


## How to use the code

There are two ways:
a) running it standalone from R
b) use the UIB Tool to run it

Prepare the database so it contains the necessary fields and you're good to go.

## Accepted input files

Currently, it only works on CSV files that contain (at least) the following columns:
- ID (integer)
- VSI1 (see VSI documentation)
- VSI2 (see VSI documentation)
- VSI3 (see VSI documentation)



## What's here

There are two files:
- R file (original code to check things)
- Rmd file (makes a PDF report)




